Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.FS
Class GeneticFeatureSelectionWrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
              edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
                  edu.udo.cs.miningmart.compiler.wrapper.dista.FS.GeneticFeatureSelectionWrapper

public class GeneticFeatureSelectionWrapper
extends FeatureSelectionWrapper

Version:
  $Id: GeneticFeatureSelectionWrapper.java,v 1.4 2006/04/11 14:10:18 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`int` | `m_gen_num`
`int` | `m_pop_size`
`double` | `m_prob_cross`
`double` | `m_prob_mut`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
`m_feature_rejected, m_feature_selected`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`m_data, m_file_name, m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`GeneticFeatureSelectionWrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `callTool()`
`void` | `checkMetaData()`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
`importResult, saveResult`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`clean, exportData, exportNames, exportTable, exportValue, getSampleTableName, getValues, getValues, makeQuery, setSampleTableName`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pop_size

    public int m_pop_size

### m_gen_num

    public int m_gen_num

### m_prob_mut

    public double m_prob_mut

### m_prob_cross

    public double m_prob_cross

Constructor Detail

### GeneticFeatureSelectionWrapper

    public GeneticFeatureSelectionWrapper(Step step,
                                          ExecutableOperator exOp)
                                   throws java.lang.Exception

Method Detail

### checkMetaData

    public void checkMetaData()
                       throws java.lang.Exception

  Overrides:
    `checkMetaData` in class `C45Wrapper`
  Throws:
    `java.lang.Exception`

### callTool

    protected void callTool()
                     throws java.lang.Exception

  Specified by:
    `callTool` in class `Wrapper`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005